<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    var Student ={
        data:[],
        viewStudent: function(){
            var litStudent = this.data;

            for (var i=0; i<litStudent.length; i++){
                document.write('<div>'+litStudent[i].id+"|"+litStudent[i].name+"|"+litStudent[i].email+"</div>")

            }
        },
        addStudent : function(id, name, mail){
            var item ={
                id =id,
                name = name,
                email = email,
            };
        },
        removeStudent : function(id){
            for(var i=0; i< this.data.length;i++){
                if(this.data[i].id){
                    this.data.splice(i,1)
                }
            }
        },
        editStudent : function(id, name, email){
            for(var i= 0; i< this.data.length;i++){
                if(this.data[i].id===id){
                    this.data[i].name= namne;
                    this.data[i].email= email;
                }
            }
        }
    };
    document.write('<h4>Danh sách sinh viên ban đầu<h4>')
    Student.viewStudent();
    document.write('<h4>Danh sách sinh viên sau khi thêm 2 sinh viên</h4>')
    Student.addStudent('sv001'," Trần Công Thành Long","tranlong@gmail.com")
    Student.addStudent('sv002'," Lê Việt Nhật","lenhat@gmail.com")
    Student.viewStudent();
    document.write('<h4>Danh sách sinh viên khi xóa một sinh viên</h4>')
    Student.removeStudent('sv001');
    Student.viewStudent;
    document.write('<h4>Danh sách sinh viên khi sửa thông tin </h4>')
    Student.editStudent('sv002', 'Nguyễn xuân Tùng', 'tungnguyen@gmail.com')
    Student.viewStudent();
    </script>
</body>
</html>